var tide = 0;
var binPath = "/pews/data/";
var maxFavLen = 3;
var startDelay = 10000;
var eqkHist;

var favArr = [19];

var dur = 300;
var locSet = false;

var simMode = "";
var paused = false;
var drag = false;
var iframe;
var simTO;
var getHist;
var iframe;
var playbar;
var curOcr;
var curEqkDur;
var init = true;
//document.addEventListener("onload", function(){
window.onload = function(){
	if(location.search != null && location.search != "" && location.search != "?")
		favArr[0] = Number(location.search.substr(1).split(",")[0]);
	iframe = document.getElementById('iframe').contentWindow;
	iframe.lang = lang;
};

var playbarEvt;
var playbarInit;
var resizePct;
var clickEvt;
var dragEvt;
var onMouseDown;
var onMouseUp;
var dragStrat;
var closeDragElement;
var elementDrag;
var dragOut;

var binPathSimu = "/pews/data/";
var checkEventTimer;
var exitSimu = false;
var checkEventBSync = true;
var checkEventDelay = 1000;
var checkEventTide = checkEventDelay;

function fn_applyDist(data, idx){
	var selectedIdx = iframe.document.getElementById('fav').options.selectedIndex;
	var dist = fn_distCalc(iframe.myLoc[selectedIdx].lat, iframe.myLoc[selectedIdx].lon, data.lat, data.lon);
	document.getElementById('dist' + idx).innerHTML = Math.round(dist * 100) / 100 + "㎞";
}

function fn_distCalc(orgLat, orgLon, destLat, destLon){
	var theta = orgLon - destLon;
	var dist = Math.sin(fn_deg2rad(orgLat)) * Math.sin(fn_deg2rad(destLat));
	dist += Math.cos(fn_deg2rad(orgLat)) * Math.cos(fn_deg2rad(destLat)) * Math.cos(fn_deg2rad(theta));
	dist = fn_rad2deg(Math.acos(dist)) * 60 * 1.1515 * 1.609344;
	return dist;
}

function fn_deg2rad(deg){
	return (deg * Math.PI / 180);
}

function fn_rad2deg(rad){
	return (rad * 180 / Math.PI);
}

function fn_parseDate(date){
	return new Date(date.toString().substr(0,4), date.toString().substr(4,2) - 1, date.toString().substr(6,2), date.toString().substr(8,2), date.toString().substr(10,2), date.toString().substr(12,2)).getTime();
}

function fn_distance(originA, originB, destA, destB){
	return Math.sqrt(Math.pow(Number(originA) - Number(destA), 2) + Math.pow(Number(originB) - Number(destB), 2)); 
}


function fn_show(simLat, simLon){
	iframe.simY = iframe.fn_parseY(simLat);
	iframe.simX = iframe.fn_parseX(simLon);
	iframe.show = true;
}


function fn_setAlarm(idx){
	var alarmBtn = iframe.document.getElementById('alarmBtn');
	
	if(idx == 99){	
		if(alarmBtn.src.indexOf("on") != -1){
			alarmBtn.src = "img/sound_off.png";
			iframe.alarmReg = [];
			for(var i=0; i<18; i++){
				//document.getElementById('alarmR' + i).src = "img/sound_off.png";
			}
		}else{
			alarmBtn.src = "img/sound_on.png";
			iframe.alarmReg = [0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17];
			for(var i=0; i<18; i++){
				//document.getElementById('alarmR' + i).src = "img/sound_on.png";
			}
		}
		iframe.fn_setAlarm();
	}else{
		if(iframe.alarmReg.indexOf(idx) == -1){
			iframe.alarmReg.push(idx);
			document.getElementById('alarmR' + idx).src = "img/sound_on.png";
		}else{
			iframe.alarmReg.splice(iframe.alarmReg.indexOf(idx), 1);
			document.getElementById('alarmR' + idx).src = "img/sound_off.png";
		}
		if(iframe.alarmReg.length == 0){
			alarmBtn.src = "img/sound_off.png";
		}else{
			alarmBtn.src = "img/sound_on.png";
		}
	}
}
function stopSimuation() {
	simulation('stop');
}
function showPlaybar() {
	document.getElementById('playbar').setAttribute("style", "height:80px");
}
function hidePlaybar() {
	document.getElementById('playbar').setAttribute("style", "height:0");
}
function simulation(earthquake, options){
	var ocr, ocrTime, eqkDuration, eqkID;
	if (earthquake && earthquake.originTime) {
		ocr = moment(earthquake.originTime).format("YYYYMMDDHHmmss");
		ocrTime = earthquake.originTime;
		if (options && options.start) {
			ocr = moment(options.start).format("YYYYMMDDHHmmss");
			ocrTime = options.start;
		}
		eqkID = earthquake.earthquakeId;
		eqkDuration = (options && options.duration) || 500;
	} else {
		ocr = 0;
	}
	clearInterval(simTO);
	paused = false;
	exitSimu = false;
	if(ocr == 0){
		playbar.document.getElementById('bar').style.visibility = "hidden";
		iframe.sim = false; // 요기
		iframe.headerLen = 4;
		iframe.binPath = binPath;
		iframe.tide = tide;
		iframe.document.getElementById('time').style.color = "#FFFFFF";
		iframe.fn_renewSta();
		curOcr = "";
		curEqkDur = "";
		hidePlaybar();
	}else{
		curOcr = ocr;
		curEqkDur = eqkDuration;
		playbar.document.getElementById('bar').style.visibility = "visible";
		simMode = eqkID;
		if(tide == 0){
			tide = iframe.tide;
		}else{
			tide = Math.min(iframe.tide, tide);
		}
		iframe.document.getElementById('time').style.color = "#FFFF00";
		iframe.sim = true; // 요기
		iframe.headerLen = 1;
		iframe.tide = new Date().getTime() - ocrTime;
		iframe.binPath = binPath;
		iframe.binPath += eqkID + "/";
		iframe.fn_renewSta();
		pTime = moment(new Date(new Date().getTime() - checkEventTide - iframe.tzMsec)).format("YYYYMMDDHHmmss");
		var checkSync = setInterval(function(){
			checkEventBSync = true;
		}, iframe.syncPeriod * 1000);
		simTO = setInterval(function(){
			if(paused || drag){
				iframe.tide = Number(iframe.tide) + (1000 / iframe.frameRate);
			}
			if(!drag){
				var progress = (new Date().getTime() - iframe.tide - ocrTime) / (eqkDuration * 10);
				var handleResizePct = resizePct || function (p) {
				};
				handleResizePct(progress);
			}
			if((iframe.clock - (Number(eqkDuration) * 1000) >= ocrTime && !drag) || exitSimu){
				// terminate sim
				playbar.document.getElementById('bar').style.visibility = "hidden";
				iframe.binPath = binPath;
				iframe.tide = tide;
				iframe.sim = false; // 요기
				iframe.gridRenew = true;	//20231020 시뮬레이션 종료 후 지도상에 표출된 진도 관련 레이어를 다시 그리도록 함. 기존에는 이전 데이터가 남아서 표출되는 문제가 있음
				iframe.headerLen = 4;
				simMode = "";
				iframe.document.getElementById('time').style.color = "#FFFFFF";
				iframe.fn_renewSta();
				curOcr = "";
				curEqkDur = "";
				clearInterval(simTO);
				if (iframe.unsetSim) {
					iframe.unsetSim();
				}
				hidePlaybar();
			}
			//현재 지진이벤트를 수신했는지 체크
			var date = new Date(new Date().getTime() - checkEventTide - iframe.tzMsec);
			var cTime = moment(date).format("YYYYMMDDHHmmss");
			var url = binPathSimu + cTime;
			if(cTime != pTime && !exitSimu){
				pTime = cTime;
				console.log('binPathSimu:' + binPathSimu + ' cTime:' + cTime);
				fn_checkEvent(url);
			}
		}, 1000 / iframe.frameRate);
	}
}

function fn_checkEvent(url){
	var oReq = new XMLHttpRequest();
	var sendTime = new Date().getTime(); // 요기

	oReq.open("GET", url + ".b", true);
	oReq.timeout = 1000;

	oReq.onloadstart = function(evt){
		oReq.responseType = "arraybuffer";
	};
	oReq.onreadystatechange = function(evt){
		if(oReq.readyState == 4 && checkEventBSync){
			var receiveTime = new Date().getTime(); // 요기
			var sTime = sendTime.toString();
			var digit = iframe.syncPeriod.length -1;
			var dTime = oReq.getResponseHeader('ST').replace(".", "");
			var lDate = oReq.getResponseHeader('Last-Modified');
			if(checkEventTide == checkEventDelay || receiveTime - sendTime < 100){ // 요기
				if(dTime != null){
					checkEventTide = new Date().getTime() - dTime + checkEventDelay; // 요기
				}
//				console.log(new Date(Number(dTime)));
//				console.log(oReq.getResponseHeader('Last-Modified'));
				console.log("sendTime : " + sTime);
				console.log("Server time synchronized : " + new Date(oReq.getResponseHeader('Date')));
				console.log("Current time deviation checkEventTide : " + checkEventTide);
				checkEventBSync = false;
			} // 요기
		}
		if(oReq.readyState == 4 && oReq.status == 200){
			var arrayBuffer = oReq.response;

			if(arrayBuffer){
				var byteArray = new Uint8Array(arrayBuffer);
				// ==================================================================
				// ==================================================================
				// ==================================================================
				var header = "";
				var binaryStr = "";
				for(var i=0; i<iframe.headerLen; i++){
					header += iframe.fn_lpad(byteArray[i].toString(2), 8);
				}
				for(var i=iframe.headerLen; i<byteArray.byteLength; i++){
					binaryStr += iframe.fn_lpad(byteArray[i].toString(2), 8);
				}
				var staF = header.substr(0,1) == "1";
				if(header.substr(1,1) == "0" && header.substr(2,1) == "0"){
					//phase = 1;
					exitSimu = false;
				}else if(header.substr(1,1) == "1" && header.substr(2,1) == "0"){
					//phase = 2;
					exitSimu = true;
				}else if(header.substr(1,1) == "1" && header.substr(2,1) == "1"){
					//phase = 3;
					exitSimu = true;
				}else if(header.substr(1,1) == "0" && header.substr(2,1) == "1"){
					//phase = 4;
					exitSimu = false;
				}
			}
		}
	}
	oReq.send(null);
}

function handleIframe() {
	iframe = document.getElementById('iframe').contentWindow;
	if (lang == 'en') {
		iframe.document.getElementById('body').classList.add('en');
	}
	iframe.bhvrOn = true;
	iframe.document.getElementById('alarmBtn').addEventListener('click', function(){
		fn_setAlarm(99);
	});
	playbar = document.getElementById('playbar').contentWindow;
	setTimeout(function(){
		fn_getLocation();
	}, 1000);
}
function handlePlaybar() {
	playbar = document.getElementById('playbar').contentWindow;
//	playbar.onload = function(){
		playbar.document.getElementById('play').onclick = function(){
			paused = false;
		}
		playbar.document.getElementById('pause').onclick = function(){
			paused = true;
		}
		playbar.window.onresize = resizePct;
		resizePct = function(progress){
			var pctW = playbar.document.getElementById('pct').offsetWidth;
			var playbarW = playbar.document.getElementById('playbar').offsetWidth;
			var calcPctW = Math.round(pctW / playbarW * 100);
			if(calcPctW > 100)
				calcPctW = 100;
			if(progress)
				calcPctW = progress;
			playbar.document.getElementById('pct').style.width = calcPctW + "%";
			playbarEvt();
		}
		playbarEvt = function(){
			var playbarDiv = playbar.document.getElementById('playbar'),
			pct = playbar.document.getElementById('pct'),
			ctrl = playbar.document.getElementById('ctrl');
			//console.log("PLAYBAR!!");
			dragEvt(ctrl);
			clickEvt(playbarDiv);
		}
		playbarInit = function(){
			//console.log("playbarInit");
			posPlaybar = {
				loc : playbar.document.getElementById('playbar').offsetParent.offsetLeft + playbar.document.getElementById('playbar').offsetLeft,
				width : playbar.document.getElementById('playbar').offsetWidth
			};
			return posPlaybar;
		}
		clickEvt = function(e){
			//drag = true;
			//console.log("clickEvt");
			var pos1 = 0, pos2 = 0;
			posPlaybar = playbarInit();
			e.onmousedown = onMouseDown;
			e.onmouseup = onMouseUp;
		}
		onMouseDown = function(e){
			drag = true;
			//console.log("onMouseDown");
			e = e || playbar.window.event;
			pos2 = e.clientX;
			pos1 = pos2 - posPlaybar.loc;
			playbar.document.getElementById('pct').style.width = pos1 + "px";
			dragEvt(e);
		}
		onMouseUp = function(e){
			dragOut();
			drag = false;
			//console.log("onMouseUp");
		}
		dragEvt = function(e){
			//drag = true;
			//console.log("dragEvt");
			var pos1 = 0, pos2 = 0;
			posPlaybar = playbarInit();
			e.onmousedown = dragStart;
			e.ontouchstart = dragStart;
		}
		dragStart = function(e){
			drag = true;
			//console.log("dragStart");
			e = e || playbar.window.event;
			pos2 = e.clientX;       
			playbar.document.onmouseup = closeDragElement;
			playbar.document.ontouchend = closeDragElement;
			playbar.document.onmousemove = elementDrag;
			playbar.document.ontouchmove = elementDrag;
		}
		elementDrag = function(e){
			drag = true;
			//console.log("elementDrag");
			e = e || playbar.window.event;
				if(e.type === 'mousemove'){
				pos1 = pos2 - e.clientX;
				pos2 = e.clientX;
			}else{
				pos1 = pos2 - e.touches[0].clientX;
				pos2 = e.touches[0].clientX;
			}
			posCalc = playbar.document.getElementById('pct').offsetWidth - pos1;
				if (posCalc >= posPlaybar.width)
				return;
			playbar.document.getElementById('pct').style.width = posCalc + "px";
		}
		closeDragElement = function(){
			//console.log("closeDragElement");
			playbar.document.onmouseup = null;
			playbar.document.onmousemove = null;
			playbar.document.ontouchend = null;
			playbar.document.ontouchmove = null;
			dragOut();
			drag = false;
		}
		dragOut = function(){
			var pctW = playbar.document.getElementById('pct').offsetWidth;
			var playbarW = playbar.document.getElementById('playbar').offsetWidth;
			var progress = pctW / playbarW * 1000;
			iframe.tide = Math.round((new Date().getTime() - new Date(curOcr.substr(0,4), Number(curOcr.substr(4,2)) - 1, curOcr.substr(6,2), curOcr.substr(8,2), curOcr.substr(10,2), curOcr.substr(12,2)).getTime()) - (progress * curEqkDur));
		}
		playbarEvt();
//	};
}

var ra = [11110,11140,11170,11200,11215,11230,11260,11290,11305,11320,11350,11380,11410,11440,11470,11500,11530,11545,11560,11590,11620,11650,11680,11710,11740,26110,26140,26170,26200,26230,26260,26290,26320,26350,26380,26410,26440,26470,26500,26530,26710,27110,27140,27170,27200,27230,27260,27290,27710,28110,28140,28177,28185,28200,28237,28245,28260,28710,28720,29110,29140,29155,29170,29200,30110,30140,30170,30200,30230,31110,31140,31170,31200,31710,36110,41111,41113,41115,41117,41131,41133,41135,41150,41171,41173,41190,41210,41220,41250,41271,41273,41281,41285,41287,41290,41310,41360,41370,41390,41410,41430,41450,41461,41463,41465,41480,41500,41550,41570,41590,41610,41630,41650,41670,41800,41820,41830,42110,42130,42150,42170,42190,42210,42230,42720,42730,42750,42760,42770,42780,42790,42800,42810,42820,42830,43111,43112,43113,43114,43130,43150,43720,43730,43740,43745,43750,43760,43770,43800,44131,44133,44150,44180,44200,44210,44230,44250,44270,44710,44760,44770,44790,44800,44810,44825,45111,45113,45130,45140,45180,45190,45210,45710,45720,45730,45740,45750,45770,45790,45800,46110,46130,46150,46170,46230,46710,46720,46730,46770,46780,46790,46800,46810,46820,46830,46840,46860,46870,46880,46890,46900,46910,47111,47113,47130,47150,47170,47190,47210,47230,47250,47280,47290,47720,47730,47750,47760,47770,47820,47830,47840,47850,47900,47920,47930,47940,48121,48123,48125,48127,48129,48170,48220,48240,48250,48270,48310,48330,48720,48730,48740,48820,48840,48850,48860,48870,48880,48890,50110,50130];
var la = ["37.573172,126.97922","37.56376,126.997459","37.532612,126.990182","37.563386,127.037047","37.53821,127.082191","37.574428,127.039712","37.606736,127.092924","37.58944,127.016817","37.639745,127.025547","37.668639,127.047364","37.654375,127.056318","37.602766,126.928839","37.579213,126.936773","37.566404,126.901763,","37.517019,126.866538","37.550968,126.849614","37.49565,126.887771","37.456979,126.895656","37.52641,126.896252","37.512462,126.939485","37.478449,126.951758","37.48378,127.032733","37.517336,127.047367","37.514741,127.106052","37.53012,127.123858","35.106333,129.032372","35.097689,129.023906","35.129298,129.045302","35.091224,129.067945","35.162943,129.053097","35.205011,129.083632","35.136318,129.084477","35.197266,128.990201","35.163096,129.1635","35.104503,128.974786","35.243036,129.092125","35.212155,128.980552","35.176273,129.079814","35.145568,129.113132","35.152585,128.991196","35.244476,129.222421","35.869305,128.606199","35.886576,128.635483","35.871814,128.559166","35.845968,128.597675","35.885726,128.582811","35.85821,128.630739","35.829905,128.532806","35.774645,128.431478","37.473715,126.621529","37.473831,126.643266","37.463598,126.650573","37.410183,126.678313","37.447358,126.731623","37.506989,126.721668","37.537102,126.737663","37.545374,126.675987","37.74745,126.487365","37.446609,126.636785","35.146085,126.923103","35.151601,126.890072","35.132829,126.902408","35.174128,126.912084","35.139557,126.793672","36.311886,127.454818","36.325734,127.421365","36.355413,127.383686","36.362289,127.356253","36.346732,127.415617","35.569376,129.332543","35.543797,129.330113","35.504813,129.416623","35.582601,129.361283","35.52247,129.242209","36.592892,127.292362","37.303493,127.009678","37.25761,126.971702","37.286534,127.035816","37.259508,127.046588","37.450292,127.145529","37.430641,127.137109","37.38275,127.118913","37.738061,127.033893","37.386584,126.93234","37.392511,126.951274","37.503486,126.766046","37.478545,126.864711","36.992283,127.112653","37.903591,127.060388","37.300841,126.846205","37.31959,126.812365","37.637468,126.832374","37.65895,126.774759","37.675203,126.750664","37.429194,126.987607","37.594326,127.129606","37.635977,127.216385","37.149891,127.077494","37.380063,126.802797","37.361622,126.935121","37.344823,126.968291","37.539257,127.214853","37.234494,127.201367","37.280446,127.114683","37.322149,127.098082","37.760141,126.779958","37.272181,127.434993","37.008031,127.279768","37.615271,126.715648","37.199541,126.831438","37.429462,127.255175","37.785227,127.045835","37.894985,127.200368","37.298249,127.63721","38.096677,127.074874","37.831328,127.509551","37.491692,127.487591","37.881272,127.730144","37.341707,127.919787","37.752109,128.875899","37.524697,129.114375","37.164087,128.985759","38.207089,128.591917","37.449935,129.165151","37.696825,127.888675","37.491874,127.984878","37.18368,128.461571","37.370755,128.390208","37.380645,128.660812","38.146758,127.313358","38.106092,127.708213","38.109959,127.989951","38.06976,128.170429","38.380542,128.467781","38.07539,128.618847","36.634684,127.48847","36.637684,127.469708","36.641489,127.431134","36.651447,127.486648","36.99108,127.925919","37.132628,128.190905","36.489468,127.729504","36.306664,127.571294","36.175011,127.783425","36.785403,127.581673","36.85537,127.435452","36.815281,127.786601","36.940288,127.690467","36.984664,128.365783","36.806985,127.150333","36.878428,127.155173","36.446589,127.119019","36.333459,126.6128","36.790076,127.002443","36.784965,126.450294","36.187163,127.098742","36.274529,127.248676","36.889545,126.645567","36.108805,127.487902","36.275777,126.909812","36.080231,126.691313","36.459188,126.802258","36.601357,126.660838","36.682731,126.84878","36.745739,126.297886","35.81218,127.119796","35.829393,127.134326","35.967613,126.7368","35.948284,126.95759","35.569845,126.856126","35.416414,127.390423","35.803591,126.880311","35.904737,127.161622","35.79197,127.424684","36.007103,127.660755","35.647385,127.521143","35.618216,127.289172","35.374285,127.13765","35.435781,126.701957","35.731725,126.733384","34.81191,126.392404","34.760444,127.662231","34.950612,127.487359","35.015837,126.710809","34.940676,127.695966","35.32118,126.988104","35.282012,127.292012","35.202566,127.462817","34.611232,127.285008","34.7715,127.080005","35.064587,126.986489","34.681737,126.907008","34.642083,126.767142","34.573464,126.599183","34.800101,126.696823","34.990455,126.481667","35.065906,126.516536","35.277195,126.512012","35.301822,126.784836","34.31104,126.754902","34.486954,126.263558","34.833436,126.351473","36.00865,129.35933","36.041824,129.365649","35.83754367,129.2144188","36.139822,128.113657","36.568409,128.72962","36.119552,128.344499","36.805671,128.623988","35.973241,128.938597","36.410953,128.159142","36.586528,128.186769","35.825078,128.741271","36.242981,128.572901","36.352724,128.697164","36.436256,129.057101","36.666725,129.112395","36.415069,129.366078","35.647469,128.734127","35.726098,128.262812","35.919119,128.282962","35.995518,128.401567","36.657704,128.45292","36.893149,128.732665","36.993068,129.400533","37.484426,130.90586","35.254005,128.640122","35.198465,128.702644","35.196928,128.567867","35.220822,128.579677","35.133204,128.710181","35.180119,128.107529","34.854366,128.433081","35.003466,128.064242","35.228588,128.889428","35.503816,128.746619","34.880459,128.621121","35.335043,129.037407","35.32221,128.261686","35.272494,128.406464","35.544566,128.492246","34.973037,128.32225","34.837348,127.892289","35.067313,127.751317","35.415678,127.873467","35.520371,127.725153","35.686719,127.909566","35.566621,128.165806","33.499562,126.531164","33.254083,126.56010"];
function fn_getLocation(options){
	var o = $.extend({
		"r": 19,
		"lat": 37.51,
		"lon": 126.94
	}, options);
	var r = o.r, lat = o.lat, lon = o.lon;
	var iframe = document.getElementById('iframe').contentWindow;
	var location = function(lat, lon) {
		var rDist = 99;
		for(var i=0; i<la.length; i++){
			var la1 = la[i] || "";
			var la2 = la1.split(",");
			var dist = fn_distance(la2[0], la2[1], lat, lon);
			if(dist < rDist){
				rDist = dist;
				r = i;
			}
		}
		var ba = fn_getBm();
		//var pa = [r];
		var pa = [{idx:r, type:'loc'}];
		$.each(ba, function(i, e) {
			var rIdx = ra.indexOf(Number(e.substring(0, 5)));
 			//if(pa.indexOf(rIdx) == -1) {
 				pa.push({idx:rIdx, type:'bm', code:e});
 			//}
		});
		iframe.fn_setLocation(pa);
	};
	var handleSuccess = function(position) {
		var crd = position.coords;
		location(crd.latitude, crd.longitude);
	};
	var handleError = function(err) {
		location(lat, lon);
	};
	if (navigator.geolocation) {
		navigator.geolocation.getCurrentPosition(handleSuccess, handleError);
	} else {
		location(lat, lon);
	}
}
var bookmarks;
function fn_getBm() {
	var result = [], items;
	if (!localStorage) {
		return result;
	}
	items = localStorage.getItem("W_DC");
	try {
		items = JSON.parse(items);
	} catch (e) {
	}
	if (!items || !items.bookmarks) {
		return result;
	}
	bookmarks = items.bookmarks;
	$(items.bookmarks).filter(function(i, e) {
		return e.city;
	}).map(function(i, e) {
		return e.city;
	}).filter(function(i, e) {
		return e.code && e.code.length >= 5;
	}).map(function(i, e) {
		return e.code;
	}).each(function(i, e) {
		var code = e;//e.substr(0,5)
		if (result.indexOf(code) === -1) {
			result.push(code);
		}
	});
	return result;
}
function fn_addBm(o) {
	if (bookmarks == null) {
		bookmarks = new Array();
	}
	bookmarks.push(o);
}
function fn_removeBm(o) {
	
	const idx = $(bookmarks).each(function (i, e) {
		if (e.dong.code == o) {
			return i;
		}
	});
	bookmarks.splice(idx, 1);
}
function fn_setBm() {
// 	if (!localStorage) {
// 		return false;
// 	}
// 	var items = localStorage.getItem("W_DC");
// 	try {
// 		items = JSON.parse(items);
// 	} catch (e) {
// 		console.log(e.message);
// 	}
// 	if (!items || !items.bookmarks) {
// 		return false;
// 	}
	var items = {
		bookmarks : bookmarks
	}
	var jsonStr = JSON.stringify(items);
	console.log("jsonStr : "+jsonStr);
	localStorage.setItem("W_DC", jsonStr);
}
